Subject: Re: [bug#27628] [PATCH 3/3] gnu: maxima: Ensure gcc and binutils available at runtime.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 19 Jul 2017 10:55:27 +0200

Hi Kei,

Kei Kebreau <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>>> Is gcc-toolchain a package one can use as an input? lisp.scm fails to
>>> load properly when I use the commencement.scm module. Could this be due
>>> to the circular dependency problem mentioned in the "Commentary" section
>>> of commencement.scm?
>>
>> Yeah, rather use gcc/ld-wrapper/glibc as inputs to avoid this problem.
>> ‘gcc-toolchain’ is rather for users.
>
> When I do this, GCL still gives me the
>
>   "gcc: error trying to exec 'as': execvp: No such file or directory"
>
> error if I don't wrap the binary with the binutils $PATH. The same has to
> be done for Maxima.

Right, sorry for the confusion: you also need Binutils in $PATH.

> I'm trying to find a way to package GCL in such a way that either (1)
> wrapping the GCL binary is unnecessary or (2) wrapping the GCL binary
> and *only* the GCL binary is necessary for the 'compile' function to
> work.

Wrapping the ‘gcl’ binary alone is probably not enough, because a
program like Maxima compiled with ‘gcl’ does not invoke the ‘gcl’
binary.

Perhaps instead of wrapping we should patch references to “gcc” in the
source with their absolute file name or something along these lines?

Ludo’.

PS: Apologies for making hand-wavy comments and letting you do the
    actual work.  :-)